package com.platform.service;

import java.util.List;
import java.util.Map;

import com.platform.entities.PreDataInfo;
import com.platform.form.PagerOptions;

/** 信息系统
 * @author chen
 *
 */
public interface IPreDataInfoService {
	
	/** 查询所有 存在的 信息
	 * @return 待下发的信息（包括采集和不采集的系统）
	 * @throws Exception
	 */
	public List<PreDataInfo> findAll()throws Exception;

	/** 导入
	 * @param paths 导入的excel路径
	 * @return
	 * @throws Exception
	 */
	public Map<String, List> importExcel(List<String> paths)throws Exception;
	
	/** 导出
	 * @param paths 导出的excel路径
	 * @return
	 * @throws Exception
	 */
	public Map<String, List> exportExcel(String path)throws Exception;
	
	/** 条件查询
	 * @param op
	 * @return
	 */
	public List<PreDataInfo> findByParam(PagerOptions op);
}
